<?php
	$dir = $_SERVER['DOCUMENT_ROOT']."/".substr(substr($_SERVER['REQUEST_URI'], 1), 0, strpos(substr($_SERVER['REQUEST_URI'], 1), '/'))."/phone_gap";
	require_once($dir."/classes/Cliente.class.php");
	require_once($dir."/classes/Dados.class.php");
	require_once($dir."/dao/ConfigDAO.class.php");
	
	class ClienteDAO {
		
		public function lkpCliente($filtro){
			$dados = new Dados();
			$configdao = new ConfigDAO();			
			$exibirClientePor = $configdao->getDisponibilizar()->getExibir_Cliente_Por();		
			
			$sql = "select first 30 CODCLIENTE," . $dados->ifthen($exibirClientePor == "F", "COALESCE(FANTASIA, NOME) as NOME " , "NOME ") .
					" from CLIENTES 
					where SITUACAO = 'A' ".
					$dados->ifthen($filtro, " and CODCLIENTE || ' - ' ||NOME containing '".$filtro."'", "")."
					order by 2 ";
			$array = $dados->SelectSQL($sql);
			$clientes = array();
			foreach ($array as $row){
				$novoCliente = new Cliente();
				$novoCliente->setCodcliente($row["CODCLIENTE"]);
				$novoCliente->setNome($row["NOME"]);
				$clientes[] = $novoCliente;
			}
			return $clientes;
		}
		
		public function setLimiteCredito($cliente) {
			$dados = new Dados();
			
			$result = $cliente->getCreditoCliente();
			
			if ($result > 0) {
				$sql = "select sum(VALOR) VALOR
						from CONTASRECEBER
						where CODCLIENTE = ".$cliente->getCodcliente()." and
						coalesce(SITUACAO, '') not in ('P', 'C', 'S')";
				$sqlRes = $dados->SelectSQL($sql);
				$result -= $dados->StrToFloat($sqlRes[0]['VALOR']);
				
				$sql = "select sum(VALOR) VALOR
						from CHEQUES_REC
						where CODCLIENTE = ".$cliente->getCodcliente()." and
						coalesce(SITUACAO, '') = 'A'";
				$sqlRes = $dados->SelectSQL($sql);
				$result -= $dados->StrToFloat($sqlRes[0]['VALOR']);
			}
			
			return $result;
		}
		
	}
	
?>